Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

Has anyone successfully got ZSNES 1.42 to work on Ubuntu Jaunty 9.04

I successfully installed ZSNES 1.42 from the deb package in archive.ubuntu.com but when I start it up I get these error messages:

ZSNES v1.42 (c) 1997-2005, ZSNES Team

Be sure to check http://www.zsnes.com/ for the latest version.
Please report crashes to [email protected]

ZSNES is written by the ZSNES Team (See AUTHORS.TXT)
ZSNES comes with ABSOLUTELY NO WARRANTY.  This is free software,
and you are welcome to redistribute it under certain conditions;
please read 'LICENSE' thoroughly before doing so.

Use ZSNES -? for command line definitions.

*** glibc detected *** zsnes: munmap_chunk(): invalid pointer: 0xbfdf4e63 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb7d02604]
zsnes[0x80dd746]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe5)[0xb7ca9775]
zsnes(__gxx_personality_v0+0xcd)[0x804b9f1]
======= Memory map: ========
08048000-082f7000 r-xp 00000000 08:01 3883822    /usr/bin/zsnes
082f7000-0834a000 rwxp 002ae000 08:01 3883822    /usr/bin/zsnes
0834a000-085b6000 rwxp 0834a000 00:00 0 
09e16000-09e37000 rwxp 09e16000 00:00 0          [heap]
b6afa000-b6afc000 rwxp b6afa000 00:00 0 
b6afc000-b6b00000 r-xp 00000000 08:01 6889503    /usr/lib/libXdmcp.so.6.0.0
b6b00000-b6b01000 rwxp 00003000 08:01 6889503    /usr/lib/libXdmcp.so.6.0.0
b6b01000-b6b19000 r-xp 00000000 08:01 3884659    /usr/lib/libxcb.so.1.1.0
b6b19000-b6b1a000 r-xp 00017000 08:01 3884659    /usr/lib/libxcb.so.1.1.0
b6b1a000-b6b1b000 rwxp 00018000 08:01 3884659    /usr/lib/libxcb.so.1.1.0
b6b1b000-b6b1d000 r-xp 00000000 08:01 6889492    /usr/lib/libXau.so.6.0.0
b6b1d000-b6b1e000 r-xp 00001000 08:01 6889492    /usr/lib/libXau.so.6.0.0
b6b1e000-b6b1f000 rwxp 00002000 08:01 6889492    /usr/lib/libXau.so.6.0.0
b6b1f000-b6b26000 r-xp 00000000 08:01 1302619    /lib/tls/i686/cmov/librt-2.9.so
b6b26000-b6b27000 r-xp 00006000 08:01 1302619    /lib/tls/i686/cmov/librt-2.9.so
b6b27000-b6b28000 rwxp 00007000 08:01 1302619    /lib/tls/i686/cmov/librt-2.9.so
b6b28000-b6b29000 rwxp b6b28000 00:00 0 
b6b29000-b6c13000 r-xp 00000000 08:01 6889486    /usr/lib/libX11.so.6.2.0
b6c13000-b6c14000 ---p 000ea000 08:01 6889486    /usr/lib/libX11.so.6.2.0
b6c14000-b6c15000 r-xp 000ea000 08:01 6889486    /usr/lib/libX11.so.6.2.0
b6c15000-b6c17000 rwxp 000eb000 08:01 6889486    /usr/lib/libX11.so.6.2.0
b6c17000-b6c18000 rwxp b6c17000 00:00 0 
b6c18000-b6c26000 r-xp 00000000 08:01 6889505    /usr/lib/libXext.so.6.4.0
b6c26000-b6c27000 r-xp 0000d000 08:01 6889505    /usr/lib/libXext.so.6.4.0
b6c27000-b6c28000 rwxp 0000e000 08:01 6889505    /usr/lib/libXext.so.6.4.0
b6c28000-b6c29000 r-xp 00000000 08:01 3907959    /usr/lib/tls/libnvidia-tls.so.180.44
b6c29000-b6c2a000 rwxp 00000000 08:01 3907959    /usr/lib/tls/libnvidia-tls.so.180.44
b6c2a000-b7944000 r-xp 00000000 08:01 3884574    /usr/lib/libGLcore.so.180.44
b7944000-b7b36000 rwxp 00d19000 08:01 3884574    /usr/lib/libGLcore.so.180.44
b7b36000-b7b42000 rwxp b7b36000 00:00 0 
b7b42000-b7b55000 r-xp 00000000 08:01 6889689    /usr/lib/libdirect-1.0.so.0.1.0
b7b55000-b7b56000 r-xp 00012000 08:01 6889689    /usr/lib/libdirect-1.0.so.0.1.0
b7b56000-b7b57000 rwxp 00013000 08:01 6889689    /usr/lib/libdirect-1.0.so.0.1.0
b7b57000-b7b58000 rwxp b7b57000 00:00 0 
b7b58000-b7b5f000 r-xp 00000000 08:01 6889771    /usr/lib/libfusion-1.0.so.0.1.0
b7b5f000-b7b60000 r-xp 00006000 08:01 6889771    /usr/lib/libfusion-1.0.so.0.1.0
b7b60000-b7b61000 rwxp 00007000 08:01 6889771    /usr/lib/libfusion-1.0.so.0.1.0
b7b61000-b7bc5000 r-xp 00000000 08:01 6889691    /usr/lib/libdirectfb-1.0.so.0.1.0
b7bc5000-b7bc6000 r-xp 00063000 08:01 6889691    /usr/lib/libdirectfb-1.0.so.0.1.0
b7bc6000-b7bc7000 rwxp 00064000 08:01 6889691    /usr/lib/libdirectfb-1.0.so.0.1.0
b7bc7000-b7bc9000 r-xp 00000000 08:01 1302595    /lib/tls/i686/cmov/libdl-2.9.so
b7bc9000-b7bca000 r-xp 00001000 08:01 1302595    /lib/tls/i686/cmov/libdl-2.9.so
b7bca000-b7bcb000 rwxp 00002000 08:01 1302595    /lib/tls/i686/cmov/libdl-2.9.so
b7bcb000-b7c8e000 r-xp 00000000 08:01 6889566    /usr/lib/libasound.so.2.0.0
b7c8e000-b7c90000 r-xp 000c2000 08:01 6889566    /usr/lib/libasound.so.2.0.0
b7c90000-b7c93000 rwxp 000c4000 08:01 6889566    /usr/lib/libasound.so.2.0.0
b7c93000-b7def000 r-xp 00000000 08:01 1302589    /lib/tls/i686/cmov/libc-2.9.so
b7def000-b7df0000 ---p 0015c000 08:01 1302589    /lib/tls/i686/cmov/libc-2.9.so
b7df0000-b7df2000 r-xp 0015c000 08:01 1302589    /lib/tls/i686/cmov/libc-2.9.so
b7df2000-b7df3000 rwxp 0015e000 08:01 1302589    /lib/tls/i686/cmov/libc-2.9.so
b7df3000-b7df7000 rwxp b7df3000 00:00 0 
b7df7000-b7e04000 r-xp 00000000 08:01 1278017    /lib/libgcc_s.so.1
b7e04000-b7e05000 r-xp 0000c000 08:01 1278017    /lib/libgcc_s.so.1
b7e05000-b7e06000 rwxp 0000d000 08:01 1278017    /lib/libgcc_s.so.1
b7e06000-b7e2a000 r-xp 00000000 08:01 1302597    /lib/tls/i686/cmov/libm-2.9.so
b7e2a000-b7e2b000 r-xp 00023000 08:01 1302597    /lib/tls/i686/cmov/libm-2.9.so
b7e2b000-b7e2c000 rwxp 00024000 08:01 1302597    /lib/tls/i686/cmov/libm-2.9.so
b7e2c000-b7f10000 r-xp 00000000 08:01 6905889    /usr/lib/libstdc++.so.6.0.10
b7f10000-b7f14000 r-xp 000e3000 08:01 6905889    /usr/lib/libstdc++.so.6.0.10
b7f14000-b7f15000 rwxp 000e7000 08:01 6905889    /usr/lib/libstdc++.so.6.0.10
b7f15000-b7f1b000 rwxp b7f15000 00:00 0 
b7f1b000-b7fa8000 r-xp 00000000 08:01 3884573    /usr/lib/libGL.so.180.44
b7fa8000-b7fc6000 rwxp 0008d000 08:01 3884573    /usr/lib/libGL.so.180.44
b7fc6000-b7fd5000 rwxp b7fc6000 00:00 0 
b7fd5000-b7ff9000 r-xp 00000000 08:01 6890247    /usr/lib/libpng12.so.0.27.0
b7ff9000-b7ffa000 r-xp 00023000 08:01 6890247    /usr/lib/libpng12.so.0.27.0
b7ffa000-b7ffb000 rwxp 00024000 08:01 6890247    /usr/lib/libpng12.so.0.27.0
b7ffb000-b8010000 r-xp 00000000 08:01 1302615    /lib/tls/i686/cmov/libpthread-2.9.so
b8010000-b8011000 r-xp 00014000 08:01 1302615    /lib/tls/i686/cmov/libpthread-2.9.so
b8011000-b8012000 rwxp 00015000 08:01 1302615    /lib/tls/i686/cmov/libpthread-2.9.so
b8012000-b8015000 rwxp b8012000 00:00 0 
b8015000-b807c000 r-xp 00000000 08:01 6889482    /usr/lib/libSDL-1.2.so.0.11.2
b807c000-b807d000 ---p 00067000 08:01 6889482    /usr/lib/libSDL-1.2.so.0.11.2
b807d000-b807e000 r-xp 00067000 08:01 6889482    /usr/lib/libSDL-1.2.so.0.11.2
b807e000-b807f000 rwxp 00068000 08:01 6889482    /usr/lib/libSDL-1.2.so.0.11.2
b807f000-b80aa000 rwxp b807f000 00:00 0 
b80aa000-b80be000 r-xp 00000000 08:01 1278113    /lib/libz.so.1.2.3.3
b80be000-b80bf000 r-xp 00013000 08:01 1278113    /lib/libz.so.1.2.3.3
b80bf000-b80c0000 rwxp 00014000 08:01 1278113    /lib/libz.so.1.2.3.3
b80d1000-b80d2000 rwxp b80d1000 00:00 0 
b80d2000-b80d4000 rwxp 00000000 00:0f 741        /dev/zero
b80d4000-b80d6000 rwxp b80d4000 00:00 0 
b80d6000-b80d7000 r-xp b80d6000 00:00 0          [vdso]
b80d7000-b80f3000 r-xp 00000000 08:01 1277975    /lib/ld-2.9.so
b80f3000-b80f4000 r-xp 0001b000 08:01 1277975    /lib/ld-2.9.so
b80f4000-b80f5000 rwxp 0001c000 08:01 1277975    /lib/ld-2.9.so
bfde0000-bfdf5000 rwxp bffeb000 00:00 0          [stack]
Aborted
share|improve this question
add comment

closed as off topic by Jeff Atwood Jul 20 '09 at 8:39

Questions on Super User are expected to relate to computer software or computer hardware within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

1 Answer

up vote 1 down vote accepted

For me, both ZSNES and Snes9x work, both from the Ubuntu repositories. Have you tried Snes9x?

You'll probably get better support from one of the pages linked here – either the mailing lists or the bug tracker.

(Tip: don't include the actual memory address when researching pointer errors, because they're probably different every time).

share|improve this answer
    
Did you get version 1.42 to work? The reason I want this version and not the latest is because they disabled netplay in the latest version. –  Steve Jul 19 '09 at 4:01
    
Sorry, I installed the default, 1.510. Interestingly, all the problems on that SERP were from people trying to force version 1.42 for the netplay...and it looks like that version was only built for Ubuntu 7.04/Feisty Fawn. See here: ubuntuforums.org/showthread.php?t=551167 –  Nikhil Chelliah Jul 19 '09 at 4:07
    
Do give Snes9x a shot though. You can also install the package snes9express to get a GUI. –  Nikhil Chelliah Jul 19 '09 at 4:11
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.